/**
* This file is part of ArmarX.
*
* ArmarX is free software; you can redistribute it and/or modify
* it under the terms of the GNU Lesser General Public License as
* published by the Free Software Foundation; either version 2 of
* the License, or (at your option) any later version.
*
* ArmarX is distributed in the hope that it will be useful, but
* WITHOUT ANY WARRANTY; without even the implied warranty of
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
* GNU Lesser General Public License for more details.
*
* You should have received a copy of the GNU General Public License
* along with this program. If not, see <http://www.gnu.org/licenses/>.
*
* @package    ArmarX::
* @author     Mirko Waechter ( mirko.waechter at kit dot edu)
* @date       2013
* @copyright  http://www.gnu.org/licenses/gpl.txt
*             GNU General Public License
*/
#ifndef _ARMARX_ZEROFORCECONTROL_H
#define _ARMARX_ZEROFORCECONTROL_H

#include <Core/statechart/State.h>

namespace armarx {

    DEFINEEVENT(EvSensorUpdate)
    class ZeroForceControl : public StateTemplate<ZeroForceControl>
    {
    public:
        ZeroForceControl();

        // StateBase interface
    protected:
        void defineSubstates();
        void defineParameters();
        void onEnter();
        void onExit();
    };



    class ZeroForceControlForceToAcc : public StateTemplate<ZeroForceControlForceToAcc>
    {
    public:
        ZeroForceControlForceToAcc();

        // StateBase interface
    protected:
        void defineParameters();
        void onEnter();
        void onExit();
    };

}

#endif
